# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

COMMIT="9fc5afde68a6b95ab10caa0305a63252f53f16c0"
inherit perl-module

DESCRIPTION="C library for scanning audio/video/image file metadata"
HOMEPAGE="https://github.com/andygrundman/libmediascan"
SRC_URI="https://github.com/andygrundman/libmediascan/archive/${COMMIT}.tar.gz -> libmediascan-${PV}.tar.gz"

SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~x64-macos"
IUSE="doc"

DEPEND="media-libs/libmediascan"
RDEPEND=""

S=${WORKDIR}/libmediascan-${COMMIT}/bindings/perl

src_configure() {
	myconf="--with-lms-includes=/usr/include/libmediascan"
	perl-module_src_configure
}
